<?php

namespace App\Entities\relatorio;

use App\Utils\Entity;

class RelatorioComandaItensExectadosNaoExecutado extends Entity {

	protected $id;
	protected $descricao;
	protected $executados;
	protected $naoExecutados;
	protected $total;
	protected $convenio;

	
	public static function builder():RelatorioComandaItensExectadosNaoExecutadoBuilder {

		return new RelatorioComandaItensExectadosNaoExecutadoBuilder();

	}

    /**
     * @return mixed
     */
    public function getConvenio()
    {
        return $this->convenio;
    }

    /**
     * @param mixed $convenio
     */
    public function setConvenio($convenio): void
    {
        $this->convenio = $convenio;
    }

	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getDescricao() {

		return $this->descricao;
	}


	/**
	 * @return mixed
	 */
	public function getExecutados() {

		return $this->executados;
	}


	/**
	 * @return mixed
	 */
	public function getNaoExecutados() {

		return $this->naoExecutados;
	}


	/**
	 * @return mixed
	 */
	public function getTotal() {

		return $this->total;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao) {

		$this->descricao = $descricao;
	}


	/**
	 * @param mixed $executados
	 */
	public function setExecutados($executados) {

		$this->executados = $executados;
	}


	/**
	 * @param mixed $naoExecutados
	 */
	public function setNaoExecutados($naoExecutados) {

		$this->naoExecutados = $naoExecutados;
	}


	/**
	 * @param mixed $total
	 */
	public function setTotal($total) {

		$this->total = $total;
	}


	
	
	
	

}

